Page MenuHomePhabricator

Create new test for expression evaluation where char type matters
ClosedPublic

Authored by tberghammer on Mar 27 2015, 4:47 AM.

Details

Summary

Create new test for expression evaluation where char type matters

char is a special type in C++ which can be signed/unsigned and have to
be distinguished both from "signed char" and from "unsigned char". This
test check for this behavior during the expression evaluation with
different compiler settings.

Diff Detail

Repository
rL LLVM

Event Timeline

tberghammer retitled this revision from to Create new test for expression evaluation where char type matters.
tberghammer updated this object.
tberghammer edited the test plan for this revision. (Show Details)
tberghammer added reviewers: emaste, clayborg, ovyalov.
tberghammer added a subscriber: Unknown Object (MLST).

Passes on Linux (x86_64) and on Mac (x86_64) with XFAIL. I haven't tested it on other architectures/OSes. If you see failure in some environment then please let m know so I can XFAIL it accordingly.

ovyalov added inline comments.Mar 29 2015, 4:56 PM
test/expression_command/char/TestExprsChar.py
58 ↗(On Diff #22784)

Could you attach the bug id here?

Add bug number for XFAIL

clayborg accepted this revision.Mar 30 2015, 9:56 AM
clayborg edited edge metadata.

lgtm

This revision is now accepted and ready to land.Mar 30 2015, 9:56 AM
ovyalov accepted this revision.Mar 30 2015, 6:11 PM
ovyalov edited edge metadata.

Looks good.

This revision was automatically updated to reflect the committed changes.